# azure.mgmt.recoveryservices.models module

class `azure.mgmt.recoveryservices.models.``RawCertificateData`(*, auth_type=None, certificate: bytearray = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Raw certificate data.

  Parameters:

  - auth_type (str or AuthType) – Specifies the authentication type. Possible values include: ‘Invalid’, ‘ACS’, ‘AAD’, ‘AccessControlService’, ‘AzureActiveDirectory’
  - certificate (bytearray) – The base64 encoded certificate raw data string

class `azure.mgmt.recoveryservices.models.``CertificateRequest`(*, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Details of the certificate to be uploaded to the vault.

  Parameters: | properties (RawCertificateData) –

class `azure.mgmt.recoveryservices.models.``ResourceCertificateAndAadDetails`(*, aad_authority: str, aad_tenant_id: str, service_principal_client_id: str, service_principal_object_id: str, azure_management_endpoint_audience: str, certificate: bytearray = None, friendly_name: str = None, issuer: str = None, resource_id: int = None, subject: str = None, thumbprint: str = None, valid_from=None, valid_to=None, **kwargs)

  Bases: `azure.mgmt.recoveryservices.models.resource_certificate_details_py3.ResourceCertificateDetails`

  Certificate details representing the Vault credentials for AAD.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - certificate (bytearray) – The base64 encoded certificate raw data string.
  - friendly_name (str) – Certificate friendly name.
  - issuer (str) – Certificate issuer.
  - resource_id (long) – Resource ID of the vault.
  - subject (str) – Certificate Subject Name.
  - thumbprint (str) – Certificate thumbprint.
  - valid_from (datetime) – Certificate Validity start Date time.
  - valid_to (datetime) – Certificate Validity End Date time.
  - auth_type (str) – Required. Constant filled by server.
  - aad_authority (str) – Required. AAD tenant authority.
  - aad_tenant_id (str) – Required. AAD tenant Id.
  - service_principal_client_id (str) – Required. AAD service principal clientId.
  - service_principal_object_id (str) – Required. AAD service principal ObjectId.
  - azure_management_endpoint_audience (str) – Required. Azure Management Endpoint Audience.

class `azure.mgmt.recoveryservices.models.``ResourceCertificateAndAcsDetails`(*, global_acs_namespace: str, global_acs_host_name: str, global_acs_rp_realm: str, certificate: bytearray = None, friendly_name: str = None, issuer: str = None, resource_id: int = None, subject: str = None, thumbprint: str = None, valid_from=None, valid_to=None, **kwargs)

  Bases: `azure.mgmt.recoveryservices.models.resource_certificate_details_py3.ResourceCertificateDetails`

  Certificate details representing the Vault credentials for ACS.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - certificate (bytearray) – The base64 encoded certificate raw data string.
  - friendly_name (str) – Certificate friendly name.
  - issuer (str) – Certificate issuer.
  - resource_id (long) – Resource ID of the vault.
  - subject (str) – Certificate Subject Name.
  - thumbprint (str) – Certificate thumbprint.
  - valid_from (datetime) – Certificate Validity start Date time.
  - valid_to (datetime) – Certificate Validity End Date time.
  - auth_type (str) – Required. Constant filled by server.
  - global_acs_namespace (str) – Required. ACS namespace name - tenant for our service.
  - global_acs_host_name (str) – Required. Acs mgmt host name to connect to.
  - global_acs_rp_realm (str) – Required. Global ACS namespace RP realm.

class `azure.mgmt.recoveryservices.models.``ResourceCertificateDetails`(*, certificate: bytearray = None, friendly_name: str = None, issuer: str = None, resource_id: int = None, subject: str = None, thumbprint: str = None, valid_from=None, valid_to=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Certificate details representing the Vault credentials.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: ResourceCertificateAndAadDetails, ResourceCertificateAndAcsDetails

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - certificate (bytearray) – The base64 encoded certificate raw data string.
  - friendly_name (str) – Certificate friendly name.
  - issuer (str) – Certificate issuer.
  - resource_id (long) – Resource ID of the vault.
  - subject (str) – Certificate Subject Name.
  - thumbprint (str) – Certificate thumbprint.
  - valid_from (datetime) – Certificate Validity start Date time.
  - valid_to (datetime) – Certificate Validity End Date time.
  - auth_type (str) – Required. Constant filled by server.

class `azure.mgmt.recoveryservices.models.``VaultCertificateResponse`(*, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Certificate corresponding to a vault that can be used by clients to register themselves with the vault.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – Resource name associated with the resource.
  - type (str) – Resource type represents the complete path of the form Namespace/ResourceType/ResourceType/…
  - id (str) – Resource Id represents the complete path to the resource.

  Parameters: | properties (ResourceCertificateDetails) –

class `azure.mgmt.recoveryservices.models.``JobsSummary`(*, failed_jobs: int = None, suspended_jobs: int = None, in_progress_jobs: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Summary of the replication job data for this vault.

  Parameters:

  - failed_jobs (int) – Count of failed jobs.
  - suspended_jobs (int) – Count of suspended jobs.
  - in_progress_jobs (int) – Count of in-progress jobs.

class `azure.mgmt.recoveryservices.models.``MonitoringSummary`(*, un_healthy_vm_count: int = None, un_healthy_provider_count: int = None, events_count: int = None, deprecated_provider_count: int = None, supported_provider_count: int = None, unsupported_provider_count: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Summary of the replication monitoring data for this vault.

  Parameters:

  - un_healthy_vm_count (int) – Count of unhealthy VMs.
  - un_healthy_provider_count (int) – Count of unhealthy replication providers.
  - events_count (int) – Count of all critical warnings.
  - deprecated_provider_count (int) – Count of all deprecated recovery service providers.
  - supported_provider_count (int) – Count of all the supported recovery service providers.
  - unsupported_provider_count (int) – Count of all the unsupported recovery service providers.

class `azure.mgmt.recoveryservices.models.``ReplicationUsage`(*, monitoring_summary=None, jobs_summary=None, protected_item_count: int = None, recovery_plan_count: int = None, registered_servers_count: int = None, recovery_services_provider_auth_type: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Replication usages of a vault.

  Parameters:

  - monitoring_summary (MonitoringSummary) – Summary of the replication monitoring data for this vault.
  - jobs_summary (JobsSummary) – Summary of the replication jobs data for this vault.
  - protected_item_count (int) – Number of replication protected items for this vault.
  - recovery_plan_count (int) – Number of replication recovery plans for this vault.
  - registered_servers_count (int) – Number of servers registered to this vault.
  - recovery_services_provider_auth_type (int) – The authentication type of recovery service providers in the vault.

class `azure.mgmt.recoveryservices.models.``CheckNameAvailabilityParameters`(*, type: str = None, name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resource Name availability input parameters - Resource type and resource name.

  Parameters:

  - type (str) – Describes the Resource type: Microsoft.RecoveryServices/Vaults
  - name (str) – Resource name for which availability needs to be checked

class `azure.mgmt.recoveryservices.models.``CheckNameAvailabilityResult`(*, name_available: bool = None, reason: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Response for check name availability API. Resource provider will set availability as true | false.

  Parameters:

  - name_available (bool) –
  - reason (str) –
  - message (str) –

class `azure.mgmt.recoveryservices.models.``CheckNameAvailabilityResultResource`(*, e_tag: str = None, properties=None, **kwargs)

  Bases: `azure.mgmt.recoveryservices.models.resource_py3.Resource`

  Response for check name availability API. Resource provider will set availability as true | false.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id represents the complete path to the resource.
  - name (str) – Resource name associated with the resource.
  - type (str) – Resource type represents the complete path of the form Namespace/ResourceType/ResourceType/…

  Parameters:

  - e_tag (str) – Optional ETag.
  - properties (CheckNameAvailabilityResult) – CheckNameAvailabilityResultResource properties

class `azure.mgmt.recoveryservices.models.``ClientDiscoveryDisplay`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Localized display information of an operation.

  Parameters:

  - provider (str) – Name of the provider for display purposes
  - resource (str) – ResourceType for which this Operation can be performed.
  - operation (str) – Operations Name itself.
  - description (str) – Description of the operation having details of what operation is about.

class `azure.mgmt.recoveryservices.models.``ClientDiscoveryForLogSpecification`(*, name: str = None, display_name: str = None, blob_duration: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Class to represent shoebox log specification in json client discovery.

  Parameters:

  - name (str) – Name of the log.
  - display_name (str) – Localized display name
  - blob_duration (str) – Blobs created in customer storage account per hour

class `azure.mgmt.recoveryservices.models.``ClientDiscoveryForServiceSpecification`(*, log_specifications=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Class to represent shoebox service specification in json client discovery.

  Parameters: | log_specifications (list[ClientDiscoveryForLogSpecification]) – List of log specifications of this operation.

class `azure.mgmt.recoveryservices.models.``ClientDiscoveryForProperties`(*, service_specification=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Class to represent shoebox properties in json client discovery.

  Parameters: | service_specification (ClientDiscoveryForServiceSpecification) – Operation properties.

class `azure.mgmt.recoveryservices.models.``ClientDiscoveryValueForSingleApi`(*, name: str = None, display=None, origin: str = None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Available operation details.

  Parameters:

  - name (str) – Name of the Operation.
  - display (ClientDiscoveryDisplay) – Contains the localized display information for this particular operation
  - origin (str) – The intended executor of the operation;governs the display of the operation in the RBAC UX and the audit logs UX
  - properties (ClientDiscoveryForProperties) – ShoeBox properties for the given operation.

class `azure.mgmt.recoveryservices.models.``Resource`(*, e_tag: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  ARM Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id represents the complete path to the resource.
  - name (str) – Resource name associated with the resource.
  - type (str) – Resource type represents the complete path of the form Namespace/ResourceType/ResourceType/…

  Parameters: | e_tag (str) – Optional ETag.

class `azure.mgmt.recoveryservices.models.``Sku`(*, name, **kwargs)

  Bases: `msrest.serialization.Model`

  Identifies the unique system identifier for each Azure resource.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str or SkuName) – Required. The Sku name. Possible values include: ‘Standard’, ‘RS0’

class `azure.mgmt.recoveryservices.models.``TrackedResource`(*, location: str, e_tag: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.recoveryservices.models.resource_py3.Resource`

  Tracked resource with location.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource Id represents the complete path to the resource.
  - name (str) – Resource name associated with the resource.
  - type (str) – Resource type represents the complete path of the form Namespace/ResourceType/ResourceType/…

  Parameters:

  - e_tag (str) – Optional ETag.
  - location (str) – Required. Resource location.
  - tags (dict[str, str]) – Resource tags.

class `azure.mgmt.recoveryservices.models.``PatchTrackedResource`(*, e_tag: str = None, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.recoveryservices.models.resource_py3.Resource`

  Tracked resource with location.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id represents the complete path to the resource.
  - name (str) – Resource name associated with the resource.
  - type (str) – Resource type represents the complete path of the form Namespace/ResourceType/ResourceType/…

  Parameters:

  - e_tag (str) – Optional ETag.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.

class `azure.mgmt.recoveryservices.models.``UpgradeDetails`(**kwargs)

  Bases: `msrest.serialization.Model`

  Details for upgrading vault.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - operation_id (str) – ID of the vault upgrade operation.
  - start_time_utc (datetime) – UTC time at which the upgrade operation has started.
  - last_updated_time_utc (datetime) – UTC time at which the upgrade operation status was last updated.
  - end_time_utc (datetime) – UTC time at which the upgrade operation has ended.
  - status (str or VaultUpgradeState) – Status of the vault upgrade operation. Possible values include: ‘Unknown’, ‘InProgress’, ‘Upgraded’, ‘Failed’
  - message (str) – Message to the user containing information about the upgrade operation.
  - trigger_type (str or TriggerType) – The way the vault upgrade was triggered. Possible values include: ‘UserTriggered’, ‘ForcedUpgrade’
  - upgraded_resource_id (str) – Resource ID of the upgraded vault.
  - previous_resource_id (str) – Resource ID of the vault before the upgrade.

class `azure.mgmt.recoveryservices.models.``VaultProperties`(*, upgrade_details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of the vault.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | provisioning_state (str) – Provisioning State.
  Parameters: | upgrade_details (UpgradeDetails) –

class `azure.mgmt.recoveryservices.models.``Vault`(*, location: str, e_tag: str = None, tags=None, properties=None, sku=None, **kwargs)

  Bases: `azure.mgmt.recoveryservices.models.tracked_resource_py3.TrackedResource`

  Resource information, as returned by the resource provider.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Resource Id represents the complete path to the resource.
  - name (str) – Resource name associated with the resource.
  - type (str) – Resource type represents the complete path of the form Namespace/ResourceType/ResourceType/…

  Parameters:

  - e_tag (str) – Optional ETag.
  - location (str) – Required. Resource location.
  - tags (dict[str, str]) – Resource tags.
  - properties (VaultProperties) –
  - sku (Sku) –

class `azure.mgmt.recoveryservices.models.``PatchVault`(*, e_tag: str = None, location: str = None, tags=None, properties=None, sku=None, **kwargs)

  Bases: `azure.mgmt.recoveryservices.models.patch_tracked_resource_py3.PatchTrackedResource`

  Patch Resource information, as returned by the resource provider.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id represents the complete path to the resource.
  - name (str) – Resource name associated with the resource.
  - type (str) – Resource type represents the complete path of the form Namespace/ResourceType/ResourceType/…

  Parameters:

  - e_tag (str) – Optional ETag.
  - location (str) – Resource location.
  - tags (dict[str, str]) – Resource tags.
  - properties (VaultProperties) –
  - sku (Sku) –

class `azure.mgmt.recoveryservices.models.``VaultExtendedInfoResource`(*, e_tag: str = None, integrity_key: str = None, encryption_key: str = None, encryption_key_thumbprint: str = None, algorithm: str = None, **kwargs)

  Bases: `azure.mgmt.recoveryservices.models.resource_py3.Resource`

  Vault extended information.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Resource Id represents the complete path to the resource.
  - name (str) – Resource name associated with the resource.
  - type (str) – Resource type represents the complete path of the form Namespace/ResourceType/ResourceType/…

  Parameters:

  - e_tag (str) – Optional ETag.
  - integrity_key (str) – Integrity key.
  - encryption_key (str) – Encryption key.
  - encryption_key_thumbprint (str) – Encryption key thumbprint.
  - algorithm (str) – Algorithm for Vault ExtendedInfo

class `azure.mgmt.recoveryservices.models.``NameInfo`(*, value: str = None, localized_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The name of usage.

  Parameters:

  - value (str) – Value of usage.
  - localized_value (str) – Localized value of usage.

class `azure.mgmt.recoveryservices.models.``VaultUsage`(*, unit=None, quota_period: str = None, next_reset_time=None, current_value: int = None, limit: int = None, name=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Usages of a vault.

  Parameters:

  - unit (str or UsagesUnit) – Unit of the usage. Possible values include: ‘Count’, ‘Bytes’, ‘Seconds’, ‘Percent’, ‘CountPerSecond’, ‘BytesPerSecond’
  - quota_period (str) – Quota period of usage.
  - next_reset_time (datetime) – Next reset time of usage.
  - current_value (long) – Current value of usage.
  - limit (long) – Limit of usage.
  - name (NameInfo) – Name of usage.

class `azure.mgmt.recoveryservices.models.``ReplicationUsagePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ReplicationUsage` object

class `azure.mgmt.recoveryservices.models.``VaultPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Vault` object

class `azure.mgmt.recoveryservices.models.``ClientDiscoveryValueForSingleApiPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ClientDiscoveryValueForSingleApi` object

class `azure.mgmt.recoveryservices.models.``VaultUsagePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `VaultUsage` object

class `azure.mgmt.recoveryservices.models.``AuthType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `aad` = 'AAD'
  `access_control_service` = 'AccessControlService'
  `acs` = 'ACS'
  `azure_active_directory` = 'AzureActiveDirectory'
  `invalid` = 'Invalid'

class `azure.mgmt.recoveryservices.models.``SkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `rs0` = 'RS0'
  `standard` = 'Standard'

class `azure.mgmt.recoveryservices.models.``VaultUpgradeState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `failed` = 'Failed'
  `in_progress` = 'InProgress'
  `unknown` = 'Unknown'
  `upgraded` = 'Upgraded'

class `azure.mgmt.recoveryservices.models.``TriggerType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `forced_upgrade` = 'ForcedUpgrade'
  `user_triggered` = 'UserTriggered'

class `azure.mgmt.recoveryservices.models.``UsagesUnit`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `bytes` = 'Bytes'
  `bytes_per_second` = 'BytesPerSecond'
  `count` = 'Count'
  `count_per_second` = 'CountPerSecond'
  `percent` = 'Percent'
  `seconds` = 'Seconds'